.media-wrapper {
  width: 90%;
  padding-top: 56.25%; /* 16:9 aspect ratio */
  position: relative;
  border: 1px solid black;
  border-radius: 10px;
  overflow: hidden;
}

.media-item {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 10px;
}

@media (max-width: 1024px) {
  .media-wrapper {
    padding-top: 66.66%; /* 3:2 aspect ratio for tablets */
  }
}

@media (max-width: 768px) {
  .media-wrapper {
    padding-top: 100%; /* 4:3 aspect ratio for mobile */
  }
}

@media (max-width: 480px) {
  .media-wrapper {
    padding-top: 50%; /* 1:1 aspect ratio for smaller mobile screens */
  }
}
